1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Probs em visualizar php com apache

Discussão em 'Programação' iniciada por NeO_CooL, 21 de Julho de 2003. (Respostas: 10; Visualizações: 1457)

  1. NeO_CooL

    NeO_CooL Power Member

    É assim à um tempo usei o apache bem como o php e corria tudo sem probs.

    Desde q saiu tlvz o php versao 4 q nunca mais consegui vizualizar as paginas em condiçoes. Só vejo o codigo... Mesmo com a versao 5 q vou usar agora

    Tenho quase a certeza q o prob está relacionado com o php já q já exprimentei varios packs com apache, php mysql e actualizando o php, faz exactamente o mesmo prob. Actualizando o apache e o mysql corre tudo bem.

    agradecia uma ajuda. ;)
     
  2. Biker_

    Biker_ Power Member

    Já agora, usas em Windows ou Linux?
     
  3. NeO_CooL

    NeO_CooL Power Member

    Windows XP pro
     
  4. Any

    Any Power Member

    Neo_Cool isntala o EasyPHP ficas logo com o apache e Mysql configurado por defaul, tive a instalar isso este fim de semana e n tive qualquer problema
     
  5. Biker_

    Biker_ Power Member

    O que eu fiz foi:

    Colocar isto no http.conf do Apache:
    LoadModule php4_module "C:/PHP/sapi/php4apache2.dll"
    AddType application/x-httpd-php .php

    Pegar no ficheiro php.ini-dist e renomeá-lo para php.ini. Copiá-lo para a directoria do Windows.
    Copiar o ficheiro php4ts.dll para a directoria do Windows.

    Acho que foi só isto...
    Fizeste isto?
     
  6. NeO_CooL

    NeO_CooL Power Member

    fiz tudo isso... :(

    MAs infelizmente acho q desde a versao 4 q nunca consegui visualizar as minhas paginas no apache.

    E gostaria de saber o pq...

    estranho mesmo...:(

    Já agora biker_, em q linha colocas-te isso no conf do apache?
    Já só falta mesmo ver isso
     
  7. Biker_

    Biker_ Power Member

    Essas linhas coloquei no fim do ficheiro, mas acho que podes po-las em qq sitio.
    Já agora para referência, estou a usar o PHP 4.3.2 e o Apache 2.0.47 no Windows XP Pro.
     
  8. NeO_CooL

    NeO_CooL Power Member

    Desisti de usar o apache e estou a usar o Microsoft Internet Information Services (IIS) versao 5.1
    e Usei o installer do php e adicionei as ext..

    Funciona mesmo bem sem probs já tenho forum a correr e tudo.
    MAs ainda hei-de descobrir o pq da cena nao funcionar como deve ser no apache.
     
  9. peter alien

    peter alien Power Member

    Já agora NeO_CooL, não tens problemas com as imagens no IE6 ?

    é que eu também utilizo o PHP 4.3.2, o XP Pro e o IIS 5.1, e ás vezes tenho problemas quando tento visualizar paginas PHP com imagens...só me aparece o placehold da imagem.

    Nota: Eu tenho a GD Library instalada.

    Não sei se será um problema de cache do browser ?
     
  10. NeO_CooL

    NeO_CooL Power Member

    agora só usei mesmo para o forum e nao reparei nas pics

    Como vou ter q formatar o disco depois digo algo.
     

Partilhar esta Página